# $Revision: 1.98 $, $Date: 2011/08/03 15:39:16 $
#
# Conditional build:
%bcond_with	multi		# build Multi-application core (requires working /dev/fusion*)
%bcond_with	sh772x		# SH7722/SH7723 (SH-Mobile) graphics driver
%bcond_without	static_libs	# don't build static libraries
#
%ifarch sh4
%define		with_sh772x	1
%endif
Summary:	DirectFB - Hardware graphics acceleration
Summary(pl.UTF-8):	DirectFB - Wspomaganie grafiki
Name:		DirectFB
Version:	1.4.14
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/downloads/Core/DirectFB-1.4/%{name}-%{version}.tar.gz
# Source0-md5:	de0745d25a6ac9e337d4d5572df85471
Source1:	http://www.directfb.org/downloads/Extras/DFBTutorials-0.5.0.tar.gz
# Source1-md5:	13e443a64bddd68835b574045d9025e9
Patch0:		%{name}-am.patch
Patch1:		%{name}-pmake.patch
Patch2:		%{name}-fix.patch
Patch3:		%{name}-gcc4.patch
Patch4:		%{name}-llh-ppc.patch
URL:		http://www.directfb.org/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.2
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libvncserver-devel
%{?with_multi:BuildRequires:	linux-fusion-devel >= 8.0}
%{?with_multi:BuildRequires:	linux-fusion-devel < 9}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	sysfsutils-devel >= 1.3.0-3
BuildRequires:	tslib-devel >= 0.0.2
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel >= 1.1.3
#BuildRequires:	pkgconfig(linotype) -- font provider???
%if %{with sh772x}
BuildRequires:	libshbeu-devel >= 1.0.2
BuildRequires:	libshjpeg-devel >= 1.3.3
BuildRequires:	libuiomux-devel >= 1.5.0
%endif
%{?with_multi:Provides:	DirectFB(multi)}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dfbdir	%{_libdir}/directfb-1.4-5

%define		specflags	-fno-strict-aliasing

%ifarch %{ix86}
# gcc running out of registers with -O0 in generic_mmx.h
%define		debugcflags	-O1 -g
%endif

%description
DirectFB hardware graphics acceleration - libraries.

%description -l pl.UTF-8
Wspomaganie grafiki DirectFB - biblioteki.

%package devel
Summary:	DirectFB - development package
Summary(pl.UTF-8):	DirectFB - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel >= 1.1.3

%description devel
DirectFB header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla DirectFB.

%package static
Summary:	DirectFB static libraries
Summary(pl.UTF-8):	Statyczne biblioteki DirectFB
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
DirectFB static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki DirectFB.

%package doc
Summary:	DirectFB - documentation
Summary(pl.UTF-8):	DirectFB - dokumentacja
Group:		Documentation

%description doc
DirectFB documentation and tutorials.

%description doc -l pl.UTF-8
Dokumentacja dla systemu DirectFB wraz z wprowadzeniem.

%package core-sdl
Summary:	SDL core system for DirectFB
Summary(pl.UTF-8):	System SDL dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-sdl
This package contains SDL core system module for DirectFB.

%description core-sdl -l pl.UTF-8
Ten pakiet zawiera moduł systemu SDL dla DirectFB.

%package core-vnc
Summary:	VNC core system for DirectFB
Summary(pl.UTF-8):	System VNC dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-vnc
This package contains VNC core system module for DirectFB.

%description core-vnc -l pl.UTF-8
Ten pakiet zawiera moduł systemu VNC dla DirectFB.

%package core-x11
Summary:	X11 core system for DirectFB
Summary(pl.UTF-8):	System X11 dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-x11
This package contains X11 core system module for DirectFB.

%description core-x11 -l pl.UTF-8
Ten pakiet zawiera moduł systemu X11 dla DirectFB.

%package font-ft2
Summary:	FreeType2 font provider for DirectFB
Summary(pl.UTF-8):	DirectFB - wtyczka dostarczająca fonty poprzez FreeType2
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description font-ft2
This package contains FreeType2 font provider for DirectFB.

%description font-ft2 -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla DirectFB dostarczającą fonty poprzez
bibliotekę FreeType2.

%package gfx-sh772x
Summary:	SH7722/SH7723 graphics driver for DirectFB
Summary(pl.UTF-8):	Sterownik graficzny SH7722/7723 dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libshbeu >= 1.0.2
Requires:	libshjpeg >= 1.3.3
Requires:	libuiomux >= 1.5.0

%description gfx-sh772x
SH7722/SH7723 graphics (SH-Mobile devices) driver for DirectFB.

%description gfx-sh772x -l pl.UTF-8
Sterownik graficzny SH7722/7723 (SH-Mobile) dla DirectFB.

%package image-jpeg
Summary:	JPEG image provider for DirectFB
Summary(pl.UTF-8):	DirectFB - wtyczka dostarczająca grafikę JPEG
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description image-jpeg
This package contains JPEG image provider for DirectFB.

%description image-jpeg -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla DirectFB dostarczającą grafikę JPEG.

%package image-png
Summary:	PNG image provider for DirectFB
Summary(pl.UTF-8):	DirectFB - wtyczka dostarczająca grafikę PNG
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description image-png
This package contains PNG image provider for DirectFB.

%description image-png -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla DirectFB dostarczającą grafikę PNG.

%package input-dynapro
Summary:	Dynapro touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów Dynapro dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-dynapro
Dynapro touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you don't have Dynapro device connected to this port. It can
mess with other devices connected to this port (mouse, modem etc.).

%description input-dynapro -l pl.UTF-8
Sterownik wejściowy do touchscreenów Dynapro dla DirectFB.

UWAGA: aktualnie używa zakodowanego na stałe portu /dev/ttyS0, więc
nie należy go instalować, jeśli urządzenie Dynapro nie jest podłączone
do tego portu. Sterownik może utrudnić współpracę z innymi
urządzeniami podłączonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-elo
Summary:	ELO touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów ELO dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-elo
ELO touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you have ELO device connected to this port. It can mess with
other devices connected to this port (mouse, modem etc.).

%description input-elo -l pl.UTF-8
Sterownik wejściowy do touchscreenów ELO dla DirectFB.

UWAGA: aktualnie używa zakodowanego na stałe portu /dev/ttyS0, więc
nie należy go instalować, jeśli urządzenie ELO nie jest podłączone do
tego portu. Sterownik może utrudnić współpracę z innymi urządzeniami
podłączonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-gunze
Summary:	Gunze touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów Gunze dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-gunze
Gunze touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you don't have Gunze device connected to this port. It can mess
with other devices connected to this port (mouse, modem etc.).

%description input-gunze -l pl.UTF-8
Sterownik wejściowy do touchscreenów Gunze dla DirectFB.

UWAGA: aktualnie używa zakodowanego na stałe portu /dev/ttyS0, więc
nie należy go instalować, jeśli urządzenie Gunze nie jest podłączone
do tego portu. Sterownik może utrudnić współpracę z innymi
urządzeniami podłączonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-mutouch
Summary:	MuTouch touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów MuTouch dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-mutouch
MuTouch touchscreen input driver for DirectFB.

NOTE: it needs "mut-device" setting in directfbrc in order to work.

%description input-mutouch -l pl.UTF-8
Sterownik wejściowy do touchscreenów MuTouch dla DirectFB.

UWAGA: do działania potrzebuje ustawienia "mut-device" w directfbrc.

%package input-tslib
Summary:	tslib-based touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Oparty na tslib sterownik wejściowy do touchscreenów dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-tslib
tslib-based touchscreen input driver for DirectFB

%description input-tslib -l pl.UTF-8
Oparty na tslib sterownik wejściowy do touchscreenów dla DirectFB.

%package input-ucb1x00
Summary:	UCB1x00 touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów UCB1x00 dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-ucb1x00
UCB1x00 touchscreen input driver for DirectFB.

%description input-ucb1x00 -l pl.UTF-8
Sterownik wejściowy do touchscreenów UCB1x00 dla DirectFB.

%package input-wm97xx
Summary:	WM97xx touchscreen input driver for DirectFB
Summary(pl.UTF-8):	Sterownik wejściowy do touchscreenów WM97xx dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-wm97xx
WM97xx touchscreen input driver for DirectFB.

%description input-wm97xx -l pl.UTF-8
Sterownik wejściowy do touchscreenów WM97xx dla DirectFB.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__sed} -i -e 's/checkfor_cle266=no/checkfor_cle266=yes/' configure.in

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# MMX and SSE are detected at runtime, so it's safe to enable
%configure \
	%{!?debug:--disable-debug} \
	--disable-maintainer-mode \
	--enable-fast-install \
	%{?with_multi:--enable-multi} \
	--enable-sdl \
	--enable-shared \
	--enable-static \
	--enable-unique \
	--enable-video4linux2 \
	--enable-voodoo \
	--enable-x11 \
	--enable-zlib \
%ifarch %{ix86} %{x8664}
%ifnarch i386 i486
	--enable-mmx \
%endif
%ifnarch i386 i486 i586
	--enable-sse \
%endif
%endif
	--with-inputdrivers=dbox2remote,dreamboxremote,dynapro,elo-input,gunze,joystick,keyboard,linuxinput,lirc,mutouch,penmount,ps2mouse,serialmouse,sonypijogdial,tslib,ucb1x00,wm97xx,zytronic \
	--with-smooth-scaling \
	%{!?with_static_libs:--disable-static}

%{__make} -j1 \
	X11_CFLAGS= \
	X11_LIBS="-lX11 -lXext"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_sysconfdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf DFBTutorials* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

touch $RPM_BUILD_ROOT%{_sysconfdir}/directfbrc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/dfbdump
%attr(755,root,root) %{_bindir}/dfbfx
%attr(755,root,root) %{_bindir}/dfbg
%attr(755,root,root) %{_bindir}/dfbinfo
%attr(755,root,root) %{_bindir}/dfbinput
%attr(755,root,root) %{_bindir}/dfbinspector
%attr(755,root,root) %{_bindir}/dfblayer
%attr(755,root,root) %{_bindir}/dfbmaster
%attr(755,root,root) %{_bindir}/dfbpenmount
%attr(755,root,root) %{_bindir}/dfbproxy
%attr(755,root,root) %{_bindir}/dfbscreen
%attr(755,root,root) %{_bindir}/fluxcomp
%attr(755,root,root) %{_bindir}/mkdfiff
%attr(755,root,root) %{_bindir}/mkdgiff
%attr(755,root,root) %{_bindir}/mkdgifft
%attr(755,root,root) %{_bindir}/pxa3xx_dump
%attr(755,root,root) %{_bindir}/uwmdump
%attr(755,root,root) %{_bindir}/voodooplay
%attr(755,root,root) %{_libdir}/libdirect-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdirect-1.4.so.5
%attr(755,root,root) %{_libdir}/libdirectfb-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdirectfb-1.4.so.5
%attr(755,root,root) %{_libdir}/libfusion-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfusion-1.4.so.5
%attr(755,root,root) %{_libdir}/libuniquewm-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuniquewm-1.4.so.5
%attr(755,root,root) %{_libdir}/libvoodoo-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvoodoo-1.4.so.5
%dir %{dfbdir}
%dir %{dfbdir}/gfxdrivers
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_ati128.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_cle266.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_cyber5k.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_ep9x.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_gl.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_i810.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_i830.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_mach64.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_matrox.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_neomagic.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_nsc.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_nvidia.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_pxa3xx.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_radeon.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_savage.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_sdlgraphics.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_sis315.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_tdfx.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_unichrome.so
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_vmware.so
%dir %{dfbdir}/inputdrivers
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_joystick.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_keyboard.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_linux_input.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_lirc.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_penmount.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_ps2mouse.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_serialmouse.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_sonypi.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_zytronic.so
%dir %{dfbdir}/interfaces
%dir %{dfbdir}/interfaces/IDirectFB
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFB/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBDataBuffer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBDataBuffer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBDisplayLayer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBDisplayLayer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBEventBuffer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBEventBuffer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBFont
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_dgiff.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_dispatcher.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_requestor.so
%dir %{dfbdir}/interfaces/IDirectFBImageProvider
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dfiff.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dispatcher.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_gif.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_requestor.so
%dir %{dfbdir}/interfaces/IDirectFBInputDevice
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBInputDevice/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBPalette
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBPalette/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBScreen
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBScreen/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBSurface
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBSurface/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBVideoProvider
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_gif.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_v4l.so
%dir %{dfbdir}/interfaces/IDirectFBWindow
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBWindow/lib*.so
%dir %{dfbdir}/systems
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_devmem.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_dummy.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_fbdev.so
%dir %{dfbdir}/wm
%attr(755,root,root) %{dfbdir}/wm/lib*.so
%{_datadir}/directfb-%{version}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/directfbrc
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/directfb-config
%attr(755,root,root) %{_bindir}/directfb-csource
%attr(755,root,root) %{_libdir}/libdirect.so
%attr(755,root,root) %{_libdir}/libdirectfb.so
%attr(755,root,root) %{_libdir}/libfusion.so
%attr(755,root,root) %{_libdir}/libuniquewm.so
%attr(755,root,root) %{_libdir}/libvoodoo.so
%{_libdir}/libdirect.la
%{_libdir}/libdirectfb.la
%{_libdir}/libfusion.la
%{_libdir}/libuniquewm.la
%{_libdir}/libvoodoo.la
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_pkgconfigdir}/direct.pc
%{_pkgconfigdir}/directfb-internal.pc
%{_pkgconfigdir}/directfb.pc
%{_pkgconfigdir}/fusion.pc
%{_pkgconfigdir}/voodoo.pc
%{_mandir}/man1/directfb-csource.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdirect.a
%{_libdir}/libdirectfb.a
%{_libdir}/libfusion.a
%{_libdir}/libuniquewm.a
%{_libdir}/libvoodoo.a
%{dfbdir}/gfxdrivers/*.[alo]*
%{dfbdir}/inputdrivers/*.[alo]*
%{dfbdir}/interfaces/*/*.[alo]*
%{dfbdir}/systems/*.[alo]*
%{dfbdir}/wm/*.[alo]*
%endif

%files doc
%defattr(644,root,root,755)
%doc docs/html/*.{html,png}
%{_examplesdir}/%{name}-%{version}

%files core-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_sdlinput.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_sdl.so

%files core-vnc
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_vncinput.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_vnc.so

%files core-x11
%defattr(644,root,root,755)
%doc systems/x11/README
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_x11.so

%files font-ft2
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_ft2.so

%if %{with sh772x}
%files gfx-sh772x
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/gfxdrivers/libdirectfb_sh772x.so
%endif

%files image-jpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_jpeg.so

%files image-png
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_png.so

%files input-dynapro
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_dynapro.so

%files input-elo
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_elo.so

%files input-gunze
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_gunze.so

%files input-mutouch
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_mutouch.so

%files input-tslib
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_tslib.so

%files input-ucb1x00
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_ucb1x00_ts.so

%files input-wm97xx
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_wm97xx_ts.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DirectFB.spec,v $
Revision 1.98  2011/08/03 15:39:16  qboosh
- updated to 1.4.14

Revision 1.97  2011/05/31 19:14:14  qboosh
- updated to 1.4.13

Revision 1.96  2011/04/23 08:53:39  qboosh
- updated to 1.4.12

Revision 1.95  2011/01/22 22:26:15  sparky
- BR: libstdc++-devel

Revision 1.94  2010/11/18 07:33:31  qboosh
- updated to 1.4.11
- updated gcc4 patch, removed obsolete link,libpng patches

Revision 1.93  2010/03/13 23:50:26  sparky
- BR: pkgconfig

Revision 1.92  2010/02/27 21:08:56  hawk
- make -j1 or it sometime tries do link with library that wasn't compiled yet

Revision 1.91  2010/01/28 18:39:57  megabajt
- added -libpng.patch
- release 4

Revision 1.90  2010/01/28 17:38:17  megabajt
- release 3

Revision 1.89  2009/07/12 13:16:03  arekm
- release 2

Revision 1.88  2009/02/19 18:31:59  arekm
- up to 1.2.7

Revision 1.87  2008/12/28 18:44:01  rotom
- 1.3.0 it's development release, so back to 1.2.6

Revision 1.86  2008/12/28 18:03:54  rotom
- up to 1.3.0

Revision 1.85  2008/10/01 09:24:52  arekm
- up to 1.2.6

Revision 1.84  2008/09/03 19:17:02  qboosh
- updated to 1.2.3 (note: new sonames)
- updated gcc4,link patches
- new -input-tslib package
- mpeg2 image provider moved to -extra, v4l video provider gone

Revision 1.83  2007/09/07 17:43:07  witekfl
- added bcond_without static_libs

Revision 1.82  2007/09/03 15:31:33  baggins
- removed TODO, looks fixed upstream

Revision 1.81  2007/09/03 15:28:41  baggins
- up to 1.0.1

Revision 1.80  2007/07/02 21:53:33  glen
- rel 4

Revision 1.79  2007/05/27 12:14:47  wolf
- cosmetics

Revision 1.78  2007/03/11 17:14:46  qboosh
- .UTF-8 markers

Revision 1.77  2007/03/11 12:18:58  qboosh
- merged update to 1.0.0 from AC-branch
  - updated fix,gcc4 patches, removed obsolete sh patch
  - new -input subpakcages: dynapro,gunze,ucb1x00,wm97xx

Revision 1.76  2007/03/11 11:05:43  qboosh
- don't include *.so in -static

Revision 1.75  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.74  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.73  2006/12/11 19:54:41  pluto
- release 2, rebuild with P: *.la.

Revision 1.72  2006/11/07 13:52:37  glen
- add todo

Revision 1.71  2006/11/07 12:12:03  glen
- add -link.patch, but it screws up build order HELPME

Revision 1.70  2006/05/22 19:09:35  qboosh
- updated to 0.9.25.1

Revision 1.69  2006/05/01 11:54:56  zbyniu
- Group: Documentation for -doc

Revision 1.68  2006/01/27 21:01:30  pluto
- gcc4 patch updated.

Revision 1.67  2006/01/26 22:02:14  pluto
- ppc/llh build fix.

Revision 1.66  2006/01/26 21:29:36  pluto
- gcc4 fixes, mmx/sse enabled for x86-64, todo added.

Revision 1.65  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.64  2005/12/30 12:52:22  glen
- R: pkgconfig for -devel

Revision 1.63  2005/10/25 19:24:45  qboosh
- updated to 0.9.24, removed obsolete missing-files,drivers,segv patches

Revision 1.62  2005/10/23 11:47:29  qboosh
- added segv patch

Revision 1.61  2005/10/23 11:25:35  qboosh
- can't build with -O0 - use -O1 for debug

Revision 1.60  2005/10/23 11:14:36  qboosh
- missing buildroot

Revision 1.59  2005/10/23 10:27:08  qboosh
- Provides: DirectFB(multi) if built with multi

Revision 1.58  2005/10/23 10:26:04  qboosh
- added bcond to build with multi application core
- always leave dfbdump and dfbg - seem to do something with single core too

Revision 1.57  2005/10/23 09:20:04  qboosh
- updated to 0.9.23, updated sh patch
- updated missing-files patch (using newer files from DirectFB CVS)
- added drivers patch
- build vnc and x11 cores
- provide directfbrc skeleton (currently empty) to give an idea about its name

Revision 1.56  2005/03/04 23:13:22  qboosh
- updated to 0.9.22, updated fix,missing-files patches

Revision 1.55  2005/01/15 15:10:33  qboosh
- don't package makefiles with docs

Revision 1.54  2005/01/15 14:08:06  qboosh
- added cle266,unichrome linking fixes to fix patch
- separate problematic elo,mutouch input drivers

Revision 1.53  2005/01/15 00:12:08  qboosh
- added sh patch (syntax fix in directfb-config)

Revision 1.52  2005/01/15 00:02:22  qboosh
- added docs

Revision 1.51  2005/01/11 21:44:54  qboosh
- ac 2.52 BRed

Revision 1.50  2005/01/10 23:02:28  qboosh
- updated to 0.9.21 (new soname, as usual)
- updated am patch, added fix,missing-files patches
- libmpeg3 video provides has been moved to DirectFB-extra (WIP)

Revision 1.49  2004/02/28 17:31:12  saq
- more general ix86 %ifarchs

Revision 1.48  2004/01/09 15:31:07  qboosh
- dropped ugly i2c workaround; glibc-kernel-headers contain proper fix

Revision 1.47  2003/11/12 15:21:26  qboosh
- more hacks in broken-i2c-workaround patch; release 3

Revision 1.46  2003/11/12 11:46:47  qboosh
- fixed epoch issue after adding it in rev. 1.44; new-style bcond; release 2

Revision 1.45  2003/11/11 18:41:12  qboosh
- added patch for heavily broken i2c headers on builders :/

Revision 1.44  2003/11/06 13:58:11  siefca
- added Epoch mark and fixed Requires in subpackages
- release 2

Revision 1.43  2003/10/26 17:59:35  qboosh
- updated to 0.9.20, removed obsolete i810 patch

Revision 1.42  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/08/11 20:44:50  ankry
- cosmetics

Revision 1.40  2003/08/01 18:08:41  krzak
- i810 build patch
- rel 2

Revision 1.39  2003/07/31 19:50:20  qboosh
- SDL core is modular now - so added as subpackage
- libtool's fast-install must be enabled (libtool doesn't support relinking of
  executables into DESTDIR, which causes linking of tools with old version of
  library installed in system); also, I can't see any reason for not using
  fast-install
- *.la for modules could only be useful for static linking - moved to -static

Revision 1.38  2003/07/21 21:07:42  freetz
- up to 0.9.19 (new radeon driver - works)

Revision 1.37  2003/07/12 13:36:44  qboosh
- 0.9.18, updated am patch, added dfbinfo utility

Revision 1.36  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.35  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.34  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/03/16 08:43:40  juandon
- update to 0.9.17

Revision 1.32  2003/03/03 17:57:39  juandon
- added pmake.patch

Revision 1.31  2003/01/17 21:48:19  qboosh
- 0.9.16, flash video provider is gone (to DirectFB-extra)

Revision 1.30  2003/01/15 12:48:06  cieciwa
- Turned back --with to --without [Thanx Qboosh].

Revision 1.29  2003/01/04 22:56:29  cieciwa
- changed bcond from _without_ to _with_.

Revision 1.28  2002/12/18 20:03:24  qboosh
- 0.9.15

Revision 1.27  2002/12/07 15:11:39  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.26  2002/11/07 10:53:18  qboosh
- updated to 0.9.14, updated am patch
- disable SDL core (too many deps), enable SSE on i686 (safe)
- added mpeg2 image provider to base (no external deps)

Revision 1.25  2002/11/06 20:42:23  qboosh
- updated DFBTutorials to 0.5.0
- separated all plugins that have additional dependencies
- release 3

Revision 1.24  2002/10/15 09:11:53  cieciwa
- release 2,
- added bcond --without flash, and --without mpg.

Revision 1.23  2002/09/30 15:07:48  misiek
- update to 0.9.13

Revision 1.22  2002/09/02 19:41:28  qboosh
- License is LGPL; release 2

Revision 1.21  2002/09/01 18:16:33  qboosh
- updated to 0.9.12, updated am patch
- added -static package
- added libmpeg3 and swf provides as subpackages (because of deps)
- really enabled mmx
- added tutorials to doc

Revision 1.20  2002/06/23 20:52:47  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.19  2002/06/23 20:32:18  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:12:35  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/26 14:00:49  wiget
- %files fixes

Revision 1.16  2002/04/26 12:21:14  wiget
- start update to 0.9.10
- fixed configure.in (am.patch)
- rebuild auto* stuff
- allow building with libpng 1.2.2

Revision 1.15  2002/04/11 08:29:12  misiek
- don't regenerate am/ac for now

Revision 1.14  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/28 17:36:22  depesz
- new version

Revision 1.12  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/04 09:41:36  qboosh
- adapterized, fixed some typos, BR: autoconf,automake

Revision 1.9  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.8  2001/07/12 12:36:34  wrobell
- up to 0.9.4
- rebuild autoconf/automake stuff for autoconf 2.50
- fixed buildrequires
- small fixes
- stb

Revision 1.7  2001/06/12 10:01:02  cieciwa
- update to version 0.9.2

Revision 1.6  2001/05/07 10:16:59  cieciwa
- release 2,
- small clean in %files,
- added %post, %postun.

Revision 1.5  2001/05/07 09:25:59  cieciwa
- updated to version 0.9.1,
- fixed source location,
- fixed URL.
  STD

Revision 1.4  2001/05/02 02:43:03  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.3  2001/04/27 12:15:09  cieciwa
- updated %files.
  STB.

Revision 1.2  2001/04/27 09:10:45  cieciwa
- added subpackage DEVEl and DOC,
- %files are empty !!!!!

Revision 1.1  2001/04/27 08:36:02  cieciwa
- initial spec.
